import Home from '~/plugins/api/home'
import { Inject, Context } from '@nuxt/types/app';

export default (context: Context, inject: Inject) => {

    const factories = {
        home: Home()
    };

    inject('service', factories);
}

declare module "vue/types/vue" {
    interface Vue {
        $service: any;
    }
}

declare module "@nuxt/types" {
    interface Context {
        $service: any;
    }
}